<?php
    $strOutput .=  "<style>.grid-item.albums{ width: " . $album_thumb_size . "px !important; }</style>\n";

    $intColumnWidth = $thumb_size + 20;

    // Init masonry 
    $strOutput .= "<div class='grid js-masonry' data-masonry-options='{ \"itemSelector\": \".grid-item\", \"columnWidth\": ".$intColumnWidth.", \"isOriginLeft\": true }'>\n";

    foreach ( $vals as $val ) {
      
        switch ( $val["tag"] ) {

            case "MEDIA:THUMBNAIL":
                    $thumbnail = trim( $val["attributes"]["URL"] . "\n" );
                    break;

            case "MEDIA:DESCRIPTION":
                    $desc = trim( $val["value"] . "\n" );
                    break;

            case "MEDIA:TITLE":
                    $title = trim( $val["value"] );
                    break;

            case "LINK":
                    if ( $val["attributes"]["REL"] == "alternate" ) {
                        $href = trim( $val["attributes"]["HREF"] );
                    }
                    break;

            case "GPHOTO:NUMPHOTOS":
                    $num_photos = trim( $val["value"] );
                    break;

            case "GPHOTO:LOCATION":
                    $location = trim( $val["value"] );
                    break;

            case "PUBLISHED":
                    $published = trim( $val["value"] );
                    $published = substr( $published, 0, 10 );   
                    break;

            case "GPHOTO:ID":
                    $gphotoid = trim( $val["value"] );
                    break;

            case "OPENSEARCH:TOTALRESULTS":
                    $total_num_albums = trim( $val["value"] );
                    break;
        }

        #----------------------------------------------------------------------------
        # Once we have all the info we need, prepare the output...
        #----------------------------------------------------------------------------
        
        if ( isset( $thumbnail ) && isset( $title ) && isset( $href ) && isset( $num_photos ) && isset( $published ) && !in_array( $title, $hide_albums ) ) {

            $strOutput .= "<div class='thumbnail grid-item albums' style='$thumb_size'>\n";
                $strOutput .=  "<div class='thumbimage'>\n";
                $strOutput .=  "<a href='" . $results_page . "?cws_album=$gphotoid'><img alt='$title' src='$thumbnail' title='$title' /></a>\n";
                $strOutput .=  "</div>\n"; // End .thumbimage

                $strOutput .=  "<div class='details'>\n";

                $strOutput .=  "<ul>\n";

                if ( $show_title ) {
                    $strOutput .=  "<li class='title'><a href='" .$results_page . "?cws_album=$gphotoid'>$title</a></li>\n";
                }

                if ( $show_details ) {
                    $strOutput .= "<li>Published: $published, $num_photos images.";

                    if ( $desc != "" ) { 
                        $strOutput .= " $desc ";
                    }
                    if ( $location != "" ) {
                        $strOutput .= " $location </li>\n";
                    }

                }
                $strOutput .=  "</ul>\n";
                $strOutput .=  "</div>\n"; // End .details
            $strOutput .=  "</div>\n"; // End .thumbnail

            #----------------------------------
            # Reset the variables
            #----------------------------------
            unset( $thumbnail, $title, $href, $description );
        }
    }
     $strOutput .=  "</div>\n"; // End .grid