<?php 
    #----------------------------------------------------------------------------
    # Iterate over the $vals
    #----------------------------------------------------------------------------

    unset( $thumb );
    unset( $title );
    unset( $href );
    unset( $path );
    unset( $url );
    $image_count = 0;

    echo "<div class='container'>\n";
    echo "<div class='main'>\n";

    foreach ( $vals as $val ) {

        if ( $OPEN != 1 ) {
            if ( $val["tag"] == "TITLE" ) {
                if ( $val["type"] == "complete" )  {
                    $album_title = $val["value"] ;
                    $OPEN = 1;
                }
            }

        } else {

        switch ( $val["tag"] ) {

            case "MEDIA:THUMBNAIL":
                    $thumb = trim( $val["attributes"]["URL"] . "\n" );
                    break;

            case "MEDIA:TITLE":
                    $title = trim( $val["value"] );
                    break;

            case "MEDIA:DESCRIPTION":
                    if ( $val["attributes"]["REL"] == "alternate" ) {
                        $href = trim( $val["attributes"]["HREF"] );
                    }
                    break;

            case "MEDIA:CONTENT":
                    $href = $val["attributes"]["URL"];
                    $imght = $val["attributes"]["HEIGHT"];
                    $imgwd = $val["attributes"]["WIDTH"];
                    break;

            case "SUMMARY":
                    $text = $val["value"];
                    break;

            case "GPHOTO:NUMPHOTOS":
                    $num_photos = $val["value"]; // num photos in a particular album
                    //echo "<h1>Total Photos in this album = $numphotos</h1>";
                    break;

            case "GPHOTO:ID":
                    if ( !isset($STOP_FLAG) ) {
                        $gphotoid = trim( $val["value"] );
                    }
                    break;
        }

    }

    #----------------------------------------------------------------------------
    # Once we have all the pieces of info we want, dump the output
    #----------------------------------------------------------------------------
    if ( isset( $thumb ) && isset( $title ) && isset( $href ) && isset( $gphotoid ) ) {

        if ( $stop != 1 ) {
            if ( $show_album_title ) {
                echo "<div id='album_title'><h2>$album_title</h2></div>\n";                        
            }
            echo "<ul id='og-grid' class='og-grid'>\n";
            $stop=1;
        }
        $count++;

        echo "<li>\n";
            echo "<a href='#' data-largesrc='$href' data-title='$title' data-description='$text'><img src='$thumb' alt='image_from_picasa' /></a>\n";
        echo "</li>\n";

        #----------------------------------
        # Reset the variables
        #----------------------------------
        
        // TODO do I need all these?
        unset( $thumb, $title, $href, $path, $url, $text ); 
    }
}
        echo "</ul>\n";
echo "</div>\n"; // End .container
echo "</div>\n"; // End .main